'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Snackbar = require('@material-ui/core/Snackbar');

var _Snackbar2 = _interopRequireDefault(_Snackbar);

var _SnackbarContent = require('../SnackbarContent');

var _SnackbarContent2 = _interopRequireDefault(_SnackbarContent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Snackbar = function Snackbar(_ref) {
    var open = _ref.open,
        onClose = _ref.onClose,
        autoHideDuration = _ref.autoHideDuration,
        messages = _ref.messages,
        type = _ref.type;


    return _react2.default.createElement(
        _Snackbar2.default,
        {
            anchorOrigin: {
                vertical: 'top',
                horizontal: 'right'
            },
            open: open,
            autoHideDuration: autoHideDuration,
            onClose: onClose
        },
        _react2.default.createElement(_SnackbarContent2.default, {
            onClose: onClose,
            variant: type,
            message: messages.join('\n')
        })
    );
};

Snackbar.propTypes = {
    classes: _propTypes2.default.object.isRequired
};

exports.default = Snackbar;