'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _actions = require('../actions');

var _redux = require('redux');

var defaultData = {
    messages: [],
    type: 'success',
    autoHideDuration: 6000
};

var open = function open() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    var action = arguments[1];

    switch (action.type) {
        case _actions.types.OPEN:
            return true;
        case _actions.types.CLOSE:
            return false;
        default:
            return state;
    }
};

var type = function type() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultData.type;
    var action = arguments[1];

    switch (action.type) {
        case _actions.types.OPEN:
            return action.data.type;
        default:
            return state;
    }
};

var messages = function messages() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultData.messages;
    var action = arguments[1];

    switch (action.type) {
        case _actions.types.OPEN:
            return action.data.messages;
        default:
            return state;
    }
};

var autoHideDuration = function autoHideDuration() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultData.autoHideDuration;
    var action = arguments[1];

    switch (action.type) {
        case _actions.types.OPEN:
            return action.data.autoHideDuration || state;
        default:
            return state;
    }
};

exports.default = (0, _redux.combineReducers)({
    open: open,
    type: type,
    messages: messages,
    autoHideDuration: autoHideDuration
});